<? 
include_once("valida_sessao.php");
protegePagina(); 
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Tamanhos de Banner</span>
</div>

<div id="conteudo">
<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
<option value="id_tamanho">ID</option>
<option value="descricao" selected="selected">Descrição</option>
</select>
<input type="text" name="busca" value="*"/>
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" />
</div>
<!-- FIM Formulário de busca -->

<?php
include("config.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = addslashes($_GET['id']);			
		
		$qry = "SELECT * FROM bnr_ban_imagens WHERE id_tamanho = $id";
		$consulta = mysqli_query($conn, $qry);
		$result = mysqli_fetch_array($consulta); 		
		
		$delete = "DELETE FROM bnr_ban_tamanho WHERE id_tamanho = $id";		
   		mysqli_query($conn, $delete);
		
		//deleta tamanho
		$del = "DELETE FROM bnr_ban_imagens WHERE id_tamanho = $id";
		mysqli_query($conn, $del);
		
		if($result['imagem']!=""){
			unlink($result['imagem']);
		}
	}
}

include_once("utf8.php");

//alteração pra busca na mesma pagina
$sql = "SELECT * FROM bnr_ban_tamanho ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT * FROM bnr_ban_tamanho ORDER BY id_tamanho ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));
//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação
?>

<table align="center" class="exibe form">
<tr>
		<th width="1">ID</th>
		<th width="1">Tamanho</th>       
		<th>Descrição</th>
        <th width="1">Alterar</th>
        <th width="1">Excluir</th>
</tr>

<?
while ($linha = mysqli_fetch_array($consulta)) {
?>
  <tr>
   <td><?php echo $linha['id_tamanho']; ?></td>
   <td><?php echo $linha['dimensao']; ?></td>   
   <td><?php echo $linha['descricao']; ?></td>
   <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href='bnr_tamanho_alt.php?id=<?php echo $linha['id_tamanho']; ?>'" /></td>
    <td> <input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_t(<?php echo $linha['id_tamanho']; ?>)" /></td>
  </tr>
<?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>